## bonnie++ 0.99e

=== Makefile ===

all: bonnie++

PROGRAMS=bonnie++ bon_csv2html bon_csv2txt
#PPC=-mno-powerpc -mno-power

#OS2=yes

ifdef OS2
CC=icc /G4 /Gm+ /Gl+ /O+ /Oi+ /Ol+ -DOS2
else
CC=gcc -O2 -g -Wall -pipe
endif

ifdef OS2
OBJS=bon_io.obj bon_file.obj bon_time.obj forkit.obj
else
OBJS=bon_io.o bon_file.o bon_time.o forkit.o
endif

bonnie++: bonnie++.cpp $(OBJS)
	$(CC) bonnie++.cpp $(OBJS) -o bonnie++ $(LFLAGS)

install:
	mkdir -p $(DESTDIR)/usr/bin
	strip bonnie++
	cp $(PROGRAMS) $(DESTDIR)/usr/bin

ifdef OS2
%.obj: %.cpp %.h bonnie.h
else
%.o: %.cpp %.h bonnie.h
endif
	$(CC) -c $< -o $@

clean:
	rm -f bonnie++ $(OBJS)
ifndef OS2
	rm -rf build-stamp install-stamp debian/tmp err out
endif

=== debian/changelog ===
bonnie++ (0.99e) unstable; urgency=low

  * Fixed the operation of "-x" parameter (used to just cause crashes).
 
  * Made it cleanly exit under some error conditions where it used to crash.

  * Merged code from the OS/2 port, needs lots of testing...

 -- Russell Coker <russell@coker.com.au>  Wed, 12 Jan 2000 16:45:28 +1100

bonnie++ (0.99d) unstable; urgency=low

  * Added some more functionality. Tests hard and soft link creation.

 -- Russell Coker <russell@coker.com.au>  Sun, 21 Nov 1999 22:37:42 +0200

bonnie++ (0.99c) unstable; urgency=low

  * Fix some bugs with big IO and include man pages.

 -- Russell Coker <russell@coker.com.au>  Sun, 21 Nov 1999 22:37:42 +0200

bonnie++ (0.99b) unstable; urgency=low

  * Initial Release.

 -- Russell Coker <russell@coker.com.au>  Wed, 13 Oct 1999 22:15:53 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: bonnie++
Section: utils
Priority: optional
Maintainer: Russell Coker <russell@coker.com.au>
Standards-Version: 2.5.1

Package: bonnie++
Architecture: any
Depends: ${shlibs:Depends}
Description: This is Russell Coker's hard drive bottleneck testing program,
 it is called Bonnie++ because it was based on the Bonnie program.  This
 program also tests performance with creating large numbers of files.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## bonnie++ 1.02b

=== Makefile ===
# Generated automatically from Makefile.in by configure.
EXES=bonnie++ zcav

all: $(EXES)

SCRIPTS=bon_csv2html bon_csv2txt

prefix=/home/rjc/debian/bonnie++-1.02b/debian/bonnie++/usr
eprefix=${prefix}
#MORE_WARNINGS=-Weffc++ -Wcast-align
WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wwrite-strings -pedantic -ffor-scope $(MORE_WARNINGS)
CFLAGS=-O2  -DNDEBUG $(WFLAGS) $(MORECFLAGS)
CXX=c++ $(CFLAGS)

INSTALL=/usr/bin/install -c

BONSRC=bon_io.cpp bon_file.cpp bon_time.cpp semaphore.cpp forkit.cpp \
 bon_suid.cpp
BONOBJS=$(BONSRC:.cpp=.o)

MAN1=bon_csv2html.1 bon_csv2txt.1
MAN8=bonnie++.8 zcav.8

ZCAVSRC=bon_suid.cpp
ZCAVOBJS=$(ZCAVSRC:.cpp=.o)

ALLOBJS=$(BONOBJS) $(ZCAVOBJS)

bonnie++: bonnie++.cpp $(BONOBJS)
	$(CXX) bonnie++.cpp -o bonnie++ $(BONOBJS) $(LFLAGS)

zcav: zcav.cpp $(ZCAVOBJS)
	$(CXX) zcav.cpp -o zcav $(ZCAVOBJS) $(LFLAGS)

install-bin: $(EXES)
	mkdir -p $(eprefix)/bin $(eprefix)/sbin
	${INSTALL} -s $(EXES) $(eprefix)/sbin
	${INSTALL} $(SCRIPTS) $(eprefix)/bin

install: install-bin
	mkdir -p /home/rjc/debian/bonnie++-1.02b/debian/bonnie++/usr/share/man/man1 /home/rjc/debian/bonnie++-1.02b/debian/bonnie++/usr/share/man/man8
	${INSTALL} -m 644 $(MAN1) /home/rjc/debian/bonnie++-1.02b/debian/bonnie++/usr/share/man/man1
	${INSTALL} -m 644 $(MAN8) /home/rjc/debian/bonnie++-1.02b/debian/bonnie++/usr/share/man/man8

%.o: %.cpp %.h bonnie.h port.h
	$(CXX) -c $<

bon_suid.o: bon_suid.cpp bonnie.h port.h
	$(CXX) -c $<

clean:
	rm -f $(EXES) $(ALLOBJS) build-stamp install-stamp
	rm -rf debian/tmp core debian/*.debhelper
	rm -f debian/{substvars,files} config.log

realclean: clean
	rm -f config.* Makefile bonnie.h port.h bonnie++.spec bon_csv2html bon_csv2txt sun/pkginfo

## bonnie++ 1.03aubuntu1

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,18 @@
-# Generated automatically from Makefile.in by configure.
 EXES=bonnie++ zcav
 
 all: $(EXES)
 
 SCRIPTS=bon_csv2html bon_csv2txt
 
-prefix=/home/rjc/debian/bonnie++-1.02b/debian/bonnie++/usr
+prefix=/home/packages/u/lpia/authbind-1.1.5.2/bonnie++-1.03aubuntu1/debian/bonnie++/usr
 eprefix=${prefix}
 #MORE_WARNINGS=-Weffc++ -Wcast-align
 WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wwrite-strings -pedantic -ffor-scope $(MORE_WARNINGS)
 CFLAGS=-O2  -DNDEBUG $(WFLAGS) $(MORECFLAGS)
-CXX=c++ $(CFLAGS)
+CXX=g++ $(CFLAGS)
 
 INSTALL=/usr/bin/install -c
+INSTALL_PROGRAM=${INSTALL}
 
 BONSRC=bon_io.cpp bon_file.cpp bon_time.cpp semaphore.cpp forkit.cpp \
  bon_suid.cpp
@@ -38,9 +38,9 @@
 	${INSTALL} $(SCRIPTS) $(eprefix)/bin
 
 install: install-bin
-	mkdir -p /home/rjc/debian/bonnie++-1.02b/debian/bonnie++/usr/share/man/man1 /home/rjc/debian/bonnie++-1.02b/debian/bonnie++/usr/share/man/man8
-	${INSTALL} -m 644 $(MAN1) /home/rjc/debian/bonnie++-1.02b/debian/bonnie++/usr/share/man/man1
-	${INSTALL} -m 644 $(MAN8) /home/rjc/debian/bonnie++-1.02b/debian/bonnie++/usr/share/man/man8
+	mkdir -p /home/packages/u/lpia/authbind-1.1.5.2/bonnie++-1.03aubuntu1/debian/bonnie++/usr/share/man/man1 /home/packages/u/lpia/authbind-1.1.5.2/bonnie++-1.03aubuntu1/debian/bonnie++/usr/share/man/man8
+	${INSTALL} -m 644 $(MAN1) /home/packages/u/lpia/authbind-1.1.5.2/bonnie++-1.03aubuntu1/debian/bonnie++/usr/share/man/man1
+	${INSTALL} -m 644 $(MAN8) /home/packages/u/lpia/authbind-1.1.5.2/bonnie++-1.03aubuntu1/debian/bonnie++/usr/share/man/man8
 
 %.o: %.cpp %.h bonnie.h port.h
 	$(CXX) -c $<

## bonnie++ 1.03c-maemo1

=== Makefile ===
--- 
+++ 
@@ -4,14 +4,14 @@
 
 SCRIPTS=bon_csv2html bon_csv2txt
 
-prefix=/home/packages/u/lpia/authbind-1.1.5.2/bonnie++-1.03aubuntu1/debian/bonnie++/usr
+prefix=/home/tanner/mmc/bonnie++-1.03c-maemo1/debian/bonnie++/usr
 eprefix=${prefix}
 #MORE_WARNINGS=-Weffc++ -Wcast-align
 WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wwrite-strings -pedantic -ffor-scope $(MORE_WARNINGS)
 CFLAGS=-O2  -DNDEBUG $(WFLAGS) $(MORECFLAGS)
 CXX=g++ $(CFLAGS)
 
-INSTALL=/usr/bin/install -c
+INSTALL=/scratchbox/tools/bin/install -c
 INSTALL_PROGRAM=${INSTALL}
 
 BONSRC=bon_io.cpp bon_file.cpp bon_time.cpp semaphore.cpp forkit.cpp \
@@ -38,9 +38,9 @@
 	${INSTALL} $(SCRIPTS) $(eprefix)/bin
 
 install: install-bin
-	mkdir -p /home/packages/u/lpia/authbind-1.1.5.2/bonnie++-1.03aubuntu1/debian/bonnie++/usr/share/man/man1 /home/packages/u/lpia/authbind-1.1.5.2/bonnie++-1.03aubuntu1/debian/bonnie++/usr/share/man/man8
-	${INSTALL} -m 644 $(MAN1) /home/packages/u/lpia/authbind-1.1.5.2/bonnie++-1.03aubuntu1/debian/bonnie++/usr/share/man/man1
-	${INSTALL} -m 644 $(MAN8) /home/packages/u/lpia/authbind-1.1.5.2/bonnie++-1.03aubuntu1/debian/bonnie++/usr/share/man/man8
+	mkdir -p /home/tanner/mmc/bonnie++-1.03c-maemo1/debian/bonnie++/usr/share/man/man1 /home/tanner/mmc/bonnie++-1.03c-maemo1/debian/bonnie++/usr/share/man/man8
+	${INSTALL} -m 644 $(MAN1) /home/tanner/mmc/bonnie++-1.03c-maemo1/debian/bonnie++/usr/share/man/man1
+	${INSTALL} -m 644 $(MAN8) /home/tanner/mmc/bonnie++-1.03c-maemo1/debian/bonnie++/usr/share/man/man8
 
 %.o: %.cpp %.h bonnie.h port.h
 	$(CXX) -c $<

=== debian/control ===
Source: bonnie++
Section: utils
Priority: optional
Maintainer: Thomas Tanner <tanner@maemory.com>
XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
Standards-Version: 3.5.6
Build-Depends: debhelper

Package: bonnie++
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: zcav, bonnie
Replaces: zcav, bonnie
Provides: zcav, bonnie
Description: Hard drive bottleneck testing benchmark suite.
 It is called Bonnie++ because it was based on the Bonnie program.  This
 program also tests performance with creating large numbers of files.
 Now includes zcav raw-read test program.  A modern hard drive will have more
 sectors in the outer tracks because they are longer.  The hard drive will
 have a number (often more than 8) of zones where each zone has the same
 number of sectors (due to the need for an integral number of sectors per
 track).  This program allows you to determine the levels of performance
 provided by different zones and store them in a convenient format for gnuplot.

## bonnie++ 1.03ubuntu1

=== Makefile ===
--- 
+++ 
@@ -4,14 +4,14 @@
 
 SCRIPTS=bon_csv2html bon_csv2txt
 
-prefix=/home/tanner/mmc/bonnie++-1.03c-maemo1/debian/bonnie++/usr
+prefix=/usr/local
 eprefix=${prefix}
 #MORE_WARNINGS=-Weffc++ -Wcast-align
 WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wwrite-strings -pedantic -ffor-scope $(MORE_WARNINGS)
 CFLAGS=-O2  -DNDEBUG $(WFLAGS) $(MORECFLAGS)
 CXX=g++ $(CFLAGS)
 
-INSTALL=/scratchbox/tools/bin/install -c
+INSTALL=/usr/bin/install -c
 INSTALL_PROGRAM=${INSTALL}
 
 BONSRC=bon_io.cpp bon_file.cpp bon_time.cpp semaphore.cpp forkit.cpp \
@@ -38,9 +38,9 @@
 	${INSTALL} $(SCRIPTS) $(eprefix)/bin
 
 install: install-bin
-	mkdir -p /home/tanner/mmc/bonnie++-1.03c-maemo1/debian/bonnie++/usr/share/man/man1 /home/tanner/mmc/bonnie++-1.03c-maemo1/debian/bonnie++/usr/share/man/man8
-	${INSTALL} -m 644 $(MAN1) /home/tanner/mmc/bonnie++-1.03c-maemo1/debian/bonnie++/usr/share/man/man1
-	${INSTALL} -m 644 $(MAN8) /home/tanner/mmc/bonnie++-1.03c-maemo1/debian/bonnie++/usr/share/man/man8
+	mkdir -p ${prefix}/share/man/man1 ${prefix}/share/man/man8
+	${INSTALL} -m 644 $(MAN1) ${prefix}/share/man/man1
+	${INSTALL} -m 644 $(MAN8) ${prefix}/share/man/man8
 
 %.o: %.cpp %.h bonnie.h port.h
 	$(CXX) -c $<

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: bonnie++
 Section: utils
 Priority: optional
-Maintainer: Thomas Tanner <tanner@maemory.com>
+Maintainer: Ubuntu Core developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
 Standards-Version: 3.5.6
 Build-Depends: debhelper

## bonnie++ 1.96

=== debian/control ===
Source: bonnie++
Section: utils
Priority: optional
Maintainer: Russell Coker <russell@coker.com.au>
Standards-Version: 3.5.6
Build-Depends: debhelper

Package: bonnie++
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: zcav, bonnie, bonnie++
Replaces: zcav, bonnie
Provides: zcav, bonnie
Description: Hard drive benchmark suite.
 It is called Bonnie++ because it was based on the Bonnie program.  This
 program also tests performance with creating large numbers of files.
 Now includes zcav raw-read test program.  A modern hard drive will have more
 sectors in the outer tracks because they are longer.  The hard drive will
 have a number (often more than 8) of zones where each zone has the same
 number of sectors (due to the need for an integral number of sectors per
 track).  This program allows you to determine the levels of performance
 provided by different zones and store them in a convenient format for gnuplot.
 .
 This is the experimental version.  It's not ready to replace the 1.x series
 in time for Lenny but will be for Lenny+1.  The extra features (large file
 support, better bon_csv2html, and support for zcav tests on multiple devices)
 will make it worth using for some people.

## bonnie++ 1.96.lenny

=== Makefile ===
EXES=bonnie++ zcav getc_putc getc_putc_helper
EXE=bon_csv2html generate_randfile

all: $(EXE) $(EXES)

SCRIPTS=bon_csv2txt

prefix=/root/bonnie++/bonnie++-1.96/debian/bonnie++/usr
eprefix=${prefix}
#MORE_WARNINGS=-Weffc++
WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wwrite-strings -pedantic -ffor-scope -Wcast-align -Wsign-compare -Wpointer-arith -Wwrite-strings -Wformat-security -Wswitch-enum -Winit-self $(MORE_WARNINGS)
CFLAGS=-O2  -DNDEBUG $(WFLAGS) $(MORECFLAGS)
CXX=g++ $(CFLAGS)
LINK=g++
THREAD_LFLAGS=-lpthread

INSTALL=/usr/bin/install -c
INSTALL_PROGRAM=${INSTALL}

BONSRC=bonnie++.cpp bon_io.cpp bon_file.cpp bon_time.cpp semaphore.cpp \
 sync.cpp thread.cpp bon_suid.cpp duration.cpp rand.o util.o
BONOBJS=$(BONSRC:.cpp=.o)

MAN1=bon_csv2html.1 bon_csv2txt.1 generate_randfile.1
MAN8=bonnie++.8 zcav.8 getc_putc.8

ZCAVSRC=zcav.cpp thread.cpp zcav_io.cpp bon_suid.cpp duration.cpp
ZCAVOBJS=$(ZCAVSRC:.cpp=.o)

GETCSRC=getc_putc.cpp bon_suid.cpp duration.cpp util.o
GETCOBJS=$(GETCSRC:.cpp=.o)

GETCHSRC=getc_putc_helper.cpp duration.cpp
GETCHOBJS=$(GETCHSRC:.cpp=.o)

bonnie++: $(BONOBJS)
	$(LINK) -o bonnie++ $(BONOBJS) $(THREAD_LFLAGS)

zcav: $(ZCAVOBJS)
	$(LINK) -o zcav $(ZCAVOBJS) $(THREAD_LFLAGS)

getc_putc: $(GETCOBJS) getc_putc_helper
	$(LINK) -o getc_putc $(GETCOBJS) $(THREAD_LFLAGS)

getc_putc_helper: $(GETCHOBJS)
	$(CXX) -o getc_putc_helper $(GETCHOBJS)

bon_csv2html: bon_csv2html.o
	$(LINK) bon_csv2html.o -o bon_csv2html

generate_randfile: generate_randfile.o
	$(LINK) generate_randfile.o -o generate_randfile

install-bin: $(EXE) $(EXES)
	mkdir -p $(eprefix)/bin $(eprefix)/sbin
	${INSTALL} -s $(EXES) $(eprefix)/sbin
	${INSTALL} -s $(EXE) $(eprefix)/bin
	${INSTALL} $(SCRIPTS) $(eprefix)/bin

install: install-bin
	mkdir -p /root/bonnie++/bonnie++-1.96/debian/bonnie++/usr/share/man/man1 /root/bonnie++/bonnie++-1.96/debian/bonnie++/usr/share/man/man8
	${INSTALL} -m 644 $(MAN1) /root/bonnie++/bonnie++-1.96/debian/bonnie++/usr/share/man/man1
	${INSTALL} -m 644 $(MAN8) /root/bonnie++/bonnie++-1.96/debian/bonnie++/usr/share/man/man8

%.o: %.cpp
	$(CXX) -c $<

clean:
	rm -f $(EXE) $(EXES) *.o build-stamp install-stamp
	rm -rf debian/tmp core debian/*.debhelper
	rm -f debian/{substvars,files} config.log depends.bak

realclean: clean
	rm -f config.* Makefile bonnie++.spec port.h conf.h configure.lineno
	rm -f bon_csv2txt bon_csv2html.1 sun/pkginfo bonnie.h

dep:
	makedepend -Y -f depends *.cpp 2> /dev/null

include depends

## bonnie++ 1.97.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 SCRIPTS=bon_csv2txt
 
-prefix=/root/bonnie++/bonnie++-1.96/debian/bonnie++/usr
+prefix=/usr/local
 eprefix=${prefix}
 #MORE_WARNINGS=-Weffc++
 WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wwrite-strings -pedantic -ffor-scope -Wcast-align -Wsign-compare -Wpointer-arith -Wwrite-strings -Wformat-security -Wswitch-enum -Winit-self $(MORE_WARNINGS)
@@ -58,9 +58,9 @@
 	${INSTALL} $(SCRIPTS) $(eprefix)/bin
 
 install: install-bin
-	mkdir -p /root/bonnie++/bonnie++-1.96/debian/bonnie++/usr/share/man/man1 /root/bonnie++/bonnie++-1.96/debian/bonnie++/usr/share/man/man8
-	${INSTALL} -m 644 $(MAN1) /root/bonnie++/bonnie++-1.96/debian/bonnie++/usr/share/man/man1
-	${INSTALL} -m 644 $(MAN8) /root/bonnie++/bonnie++-1.96/debian/bonnie++/usr/share/man/man8
+	mkdir -p ${prefix}/share/man/man1 ${prefix}/share/man/man8
+	${INSTALL} -m 644 $(MAN1) ${prefix}/share/man/man1
+	${INSTALL} -m 644 $(MAN8) ${prefix}/share/man/man8
 
 %.o: %.cpp
 	$(CXX) -c $<

=== debian/control ===
Source: bonnie++
Section: utils
Priority: optional
Maintainer: Russell Coker <russell@coker.com.au>
Standards-Version: 3.5.6
Build-Depends: debhelper

Package: bonnie++
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: zcav, bonnie, bonnie++
Replaces: zcav, bonnie
Provides: zcav, bonnie
Description: Hard drive benchmark suite
  Based on the old Bonnie benchmark, Bonnie++ is a toolkit for testing
  hard drive and file system performance.
  .
  As well as bonnie++ itself and some output filters, the suite provides
  some other benchmarking tools including zcav, which can compare the
  raw-read performance of different zones on a drive, and gives output
  suitable for gnuplot.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=1
+export DH_COMPAT=4
 
 build: build-stamp
 build-stamp:
@@ -14,6 +14,7 @@
 
 	
 	# Add here commands to compile the package.
+	./configure --prefix=`pwd`/debian/bonnie++/usr --mandir=`pwd`/debian/bonnie++/usr/share/man
 	$(MAKE)
 
 	touch build-stamp
@@ -25,6 +26,7 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
+	rm -f config.*
 
 	dh_clean
 
@@ -34,8 +36,9 @@
 	dh_clean -k
 	dh_installdirs
 
-	# Add here commands to install the package into debian/tmp.
-	$(MAKE) install DESTDIR=`pwd`/debian/tmp
+	# Add here commands to install the package into debian/bonnie++.
+	$(MAKE) install-bin
+	ln -s bonnie++ debian/bonnie++/usr/sbin/bonnie
 
 	touch install-stamp
 
@@ -55,8 +58,8 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installinit
-	dh_installcron
-	dh_installmanpages
+#	dh_installcron
+	dh_installman *.1 *.8
 #	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs

## bonnie++ 1.97.3

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 SCRIPTS=bon_csv2txt
 
-prefix=/usr/local
+prefix=/home/rjc/debian/bonnie++-1.97.3/debian/bonnie++/usr
 eprefix=${prefix}
 #MORE_WARNINGS=-Weffc++
 WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wwrite-strings -pedantic -ffor-scope -Wcast-align -Wsign-compare -Wpointer-arith -Wwrite-strings -Wformat-security -Wswitch-enum -Winit-self $(MORE_WARNINGS)
@@ -58,9 +58,9 @@
 	${INSTALL} $(SCRIPTS) $(eprefix)/bin
 
 install: install-bin
-	mkdir -p ${prefix}/share/man/man1 ${prefix}/share/man/man8
-	${INSTALL} -m 644 $(MAN1) ${prefix}/share/man/man1
-	${INSTALL} -m 644 $(MAN8) ${prefix}/share/man/man8
+	mkdir -p /home/rjc/debian/bonnie++-1.97.3/debian/bonnie++/usr/share/man/man1 /home/rjc/debian/bonnie++-1.97.3/debian/bonnie++/usr/share/man/man8
+	${INSTALL} -m 644 $(MAN1) /home/rjc/debian/bonnie++-1.97.3/debian/bonnie++/usr/share/man/man1
+	${INSTALL} -m 644 $(MAN8) /home/rjc/debian/bonnie++-1.97.3/debian/bonnie++/usr/share/man/man8
 
 %.o: %.cpp
 	$(CXX) -c $<

=== debian/control ===
Source: bonnie++
Section: utils
Priority: optional
Maintainer: Russell Coker <russell@coker.com.au>
Standards-Version: 3.5.6
Build-Depends: debhelper (>= 9)
XS-Testsuite: autopkgtest

Package: bonnie++
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: zcav, bonnie, bonnie++
Replaces: zcav, bonnie
Provides: zcav, bonnie
Description: Hard drive benchmark suite
 Based on the old Bonnie benchmark, Bonnie++ is a toolkit for testing
 hard drive and file system performance.
 .
 As well as bonnie++ itself and some output filters, the suite provides
 some other benchmarking tools including zcav, which can compare the
 raw-read performance of different zones on a drive, and gives output
 suitable for gnuplot.

## bonnie++ 1.98

=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatability version to use.
-export DH_COMPAT=4
 
 build: build-stamp
 build-stamp:

## bonnie++ 1.98build1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 SCRIPTS=bon_csv2txt
 
-prefix=/home/rjc/debian/bonnie++-1.97.3/debian/bonnie++/usr
+prefix=/home/rjc/debian/bonnie++-1.98/debian/bonnie++/usr
 eprefix=${prefix}
 #MORE_WARNINGS=-Weffc++
 WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wwrite-strings -pedantic -ffor-scope -Wcast-align -Wsign-compare -Wpointer-arith -Wwrite-strings -Wformat-security -Wswitch-enum -Winit-self $(MORE_WARNINGS)
@@ -58,9 +58,9 @@
 	${INSTALL} $(SCRIPTS) $(eprefix)/bin
 
 install: install-bin
-	mkdir -p /home/rjc/debian/bonnie++-1.97.3/debian/bonnie++/usr/share/man/man1 /home/rjc/debian/bonnie++-1.97.3/debian/bonnie++/usr/share/man/man8
-	${INSTALL} -m 644 $(MAN1) /home/rjc/debian/bonnie++-1.97.3/debian/bonnie++/usr/share/man/man1
-	${INSTALL} -m 644 $(MAN8) /home/rjc/debian/bonnie++-1.97.3/debian/bonnie++/usr/share/man/man8
+	mkdir -p /home/rjc/debian/bonnie++-1.98/debian/bonnie++/usr/share/man/man1 /home/rjc/debian/bonnie++-1.98/debian/bonnie++/usr/share/man/man8
+	${INSTALL} -m 644 $(MAN1) /home/rjc/debian/bonnie++-1.98/debian/bonnie++/usr/share/man/man1
+	${INSTALL} -m 644 $(MAN8) /home/rjc/debian/bonnie++-1.98/debian/bonnie++/usr/share/man/man8
 
 %.o: %.cpp
 	$(CXX) -c $<

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Russell Coker <russell@coker.com.au>
 Standards-Version: 3.5.6
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
 XS-Testsuite: autopkgtest
 
 Package: bonnie++

## bonnie++ 2.00aubuntu2

=== Makefile ===
--- 
+++ 
@@ -5,14 +5,14 @@
 
 SCRIPTS=bon_csv2txt
 
-prefix=/home/rjc/debian/bonnie++-1.98/debian/bonnie++/usr
+prefix=/home/etbe/debian/bonnie++/debian/bonnie++/usr
 eprefix=${prefix}
 #MORE_WARNINGS=-Weffc++
 WFLAGS=-Wall -W -Wshadow -Wpointer-arith -Wwrite-strings -pedantic -ffor-scope -Wcast-align -Wsign-compare -Wpointer-arith -Wwrite-strings -Wformat-security -Wswitch-enum -Winit-self $(MORE_WARNINGS)
 CFLAGS=-O2  -DNDEBUG $(WFLAGS) $(MORECFLAGS)
 CXX=g++ $(CFLAGS)
 LINK=g++
-THREAD_LFLAGS=-lpthread
+THREAD_LFLAGS=-pthread
 
 INSTALL=/usr/bin/install -c
 INSTALL_PROGRAM=${INSTALL}
@@ -58,9 +58,9 @@
 	${INSTALL} $(SCRIPTS) $(eprefix)/bin
 
 install: install-bin
-	mkdir -p /home/rjc/debian/bonnie++-1.98/debian/bonnie++/usr/share/man/man1 /home/rjc/debian/bonnie++-1.98/debian/bonnie++/usr/share/man/man8
-	${INSTALL} -m 644 $(MAN1) /home/rjc/debian/bonnie++-1.98/debian/bonnie++/usr/share/man/man1
-	${INSTALL} -m 644 $(MAN8) /home/rjc/debian/bonnie++-1.98/debian/bonnie++/usr/share/man/man8
+	mkdir -p /home/etbe/debian/bonnie++/debian/bonnie++/usr/share/man/man1 /home/etbe/debian/bonnie++/debian/bonnie++/usr/share/man/man8
+	${INSTALL} -m 644 $(MAN1) /home/etbe/debian/bonnie++/debian/bonnie++/usr/share/man/man1
+	${INSTALL} -m 644 $(MAN8) /home/etbe/debian/bonnie++/debian/bonnie++/usr/share/man/man8
 
 %.o: %.cpp
 	$(CXX) -c $<

=== sun/Makefile ===

all: pkg

INSTROOT=`pwd`/tmp
PKGNAME=bonnie++

../Makefile:
	( cd .. ; ./configure --prefix=/usr --mandir=`pwd`/sun/tmp/usr/share/man )

pkg: ../Makefile
	make -C .. WFLAGS="-Wall -W -Wshadow -Wpointer-arith -Wwrite-strings"
	make -C .. prefix=${INSTROOT}/usr install
	pkgmk -o -r ${INSTROOT}
	pkgtrans -s spool ${PKGNAME}.pkg ${PKGNAME}
	@echo
	@echo "/var/spool/pkg/${PKGNAME}.pkg complete!"
	@echo

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,14 @@
 Source: bonnie++
 Section: utils
 Priority: optional
-Maintainer: Russell Coker <russell@coker.com.au>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
 Standards-Version: 3.5.6
 Build-Depends: debhelper (>= 10)
 XS-Testsuite: autopkgtest
+Homepage: https://doc.coker.com.au/projects/bonnie/
+Vcs-Git: https://salsa.debian.org/etbe/bonnie.git
+Vcs-Browser: https://salsa.debian.org/etbe/bonnie
 
 Package: bonnie++
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	
 	# Add here commands to compile the package.
 	./configure --prefix=`pwd`/debian/bonnie++/usr --mandir=`pwd`/debian/bonnie++/usr/share/man
-	$(MAKE)
+	$(MAKE) MORECFLAGS=-std=c++11
 
 	touch build-stamp

## bonnie++ 2.00a+nmu2build1

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export MORECFLAGS=-std=c++11 -g

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-stripping

## bonnie++ 2.00a+nmu2ubuntu1

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
 Standards-Version: 3.5.6
-Build-Depends: debhelper (>= 10)
+Build-Depends: debhelper-compat (= 13)
 XS-Testsuite: autopkgtest
 Homepage: https://doc.coker.com.au/projects/bonnie/
 Vcs-Git: https://salsa.debian.org/etbe/bonnie.git
@@ -12,7 +12,7 @@
 
 Package: bonnie++
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: zcav, bonnie, bonnie++
 Replaces: zcav, bonnie
 Provides: zcav, bonnie

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-export MORECFLAGS=-std=c++11 -g
+export DEB_CXXFLAGS_MAINT_APPEND =-std=c++11 -g
 
 %:
 	dh $@

## bonnie++ 2.00a+nmu3

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: bonnie++
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Russell Coker <russell@coker.com.au>
+Maintainer: Russell Coker <russell@coker.com.au>
 Standards-Version: 3.5.6
 Build-Depends: debhelper-compat (= 13)
 XS-Testsuite: autopkgtest
